#!/usr/bin/env python
"""
     usage: sut_uppaal2register uppaal_modelfile register_modelfile    
"""
# Author: Harco Kuppens


import sys, os,  pprint, re, getpass, tempfile   # standard libraries
import argparse # only in standard lib for python 2.7 and later -> installed local copy  (pure python versions)

import pp_xml # pretty print xml
import model_parser
import util
import pyuppaal
import register

 



def register2uppaal(register_modelfile,uppaal_modelfile):

    regmodel=register.from_xml(register_modelfile) 
    regmodel.to_uppaalfile(uppaal_modelfile)
       

def args_parsing(args):

    argparser = argparse.ArgumentParser(prog=os.path.basename(args[0]))

    argparser.add_argument('register_modelfile', help='the register model file used as input')
    argparser.add_argument('uppaal_modelfile', help='the to be generated uppaal modelfile ')

    parse_result=argparser.parse_args(args[1:])


    # handle input/output file argument
    uppaal_modelfile=os.path.abspath(parse_result.uppaal_modelfile).replace('\\','/')
    register_modelfile=os.path.abspath(parse_result.register_modelfile).replace('\\','/')

    # check input
    util.check_isreadablefile(register_modelfile)

    return (uppaal_modelfile,register_modelfile)

   
def main(args):
    """
     usage: sut_register2uppaal register_modelfile uppaal_modelfile 

    """  
    (uppaal_modelfile,register_modelfile)=args_parsing(args)
    register2uppaal(register_modelfile,uppaal_modelfile)


if __name__ == "__main__":
    main(sys.argv)



